<?php
session_start();
ini_set('default_socket_timeout', 500);

include_once("../scripts/connect.php");
$conexion = conecta_default();
include ("../scripts/ModeloCompactovip.php");

$conexion = conecta_default ();

include_once ("../scripts/session.php");

// Validar Session

$sesion = new Sesion ( "", "", "" ); /* Se crea un objeto nuevo con el privilegio necesario para la pag. actual */

if (! $sesion->isValida ( "1" )) { /* Sesion invalida */
	
	header ( "Location: ../index.php?err=NoSesion" );
}  /* no hay sesion */

else {
	
	$dato = explode ( "|", $_SESSION ['usuario'] );
	
	$sesion->setDatos ( $dato [0], $dato [1], $dato [2] );
	
	$sesion->setSesion ();
}

$iii = 1;

$fecha1 = $_POST ['fecha_i'];

$fecha2 = $_POST ['fecha_f'];

$elcentro = $_POST ['listacd'];
   $qa = "delete from regtemp where 1";
    $ca = mysqli_query($conexion, $qa) or die ('Error (select consec): ' . mysqli_error($conexion));
if ($elcentro == 0) {
	$q2 = "SELECT 
 		rfc, CONCAT_WS(' ', nombre, appat, apmat) as nombreInversionitas, sum(puntos) as compras, usuarios_ci_idusuarios_ci, id_inver as id_inverT,
 		(select sum(puntos) from depositos d join transacciones tr on tr.idtransacciones=d.transacciones_idtransacciones join inversionista i on tr.inversionista_id_inver=i.id_inver where i.idprom=id_inverT and tr.fechat between \"$fecha1\" and \"$fecha2\") as puntosprimernivel
 		FROM transacciones 
 		join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones 
 		join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver 
 		WHERE fechat between \"$fecha1\" and \"$fecha2\" and transacciones.tipostr_idtipostr!='11' and vip=1 
 		group by rfc order by id_inverT";
} else {
	
	$q2 = "SELECT 
 		rfc, CONCAT_WS(' ', nombre, appat, apmat) as nombreInversionitas, sum(puntos) as compras, usuarios_ci_idusuarios_ci, id_inver as id_inverT,
 		(select sum(puntos) from depositos d join transacciones tr on tr.idtransacciones=d.transacciones_idtransacciones join inversionista i on tr.inversionista_id_inver=i.id_inver where i.idprom=id_inverT and tr.fechat between \"$fecha1\" and \"$fecha2\") as puntosprimernivel
 		FROM transacciones 
 		join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones 
 		join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver 
 		WHERE fechat between \"$fecha1\" and \"$fecha2\" and transacciones.tipostr_idtipostr!='11' and usuarios_ci_idusuarios_ci=$elcentro  
 		group by rfc order by usuarios_ci_idusuarios_ci";
}
$result = mysqli_query($conexion, $q2) or die ( 'No se pudo hacer lo que quieres ok?' . mysqli_error($conexion) );

echo "<center>
		<h3>Modelo Normal VIP $elcentro</h3>
		<table border=\"1\"> <tr>

			<th>#</th>
			<th>ID.</th>
			<th>RFC.</th>
			<th>Nombre</th>
			<th>Sistema</th>
			<th>C.D.</th>
			<th>Calificadas</th>
			<th>Generado</th>
			<th>Obtenido</th>
			<th></th>

			</tr>";

$iii = 1;
$superTotalGenerado = 0;
$superTotalObtenido = 0;

while ( $fila = mysqli_fetch_array( $result, MYSQL_ASSOC ) ) {
	
	if ($fila ['compras'] >= 624 && $fila ['puntosprimernivel'] > 1) {
		
		$modeloNegocio = new ModeloCompacto($conexion);
		$modeloNegocio->procesarInversionistaNormal($fila ['id_inverT'], $fecha1, $fecha2);
		$datos = $modeloNegocio->resumenCalculos();
		
		$superTotalGenerado += $datos['totalGenerado'];
		$superTotalObtenido += $datos['totalObtenido'];
		
		
		
		
		$tot += $fila ['compras'];
		
		$gen=round($datos['totalGenerado']);
		$obt=round($datos['totalObtenido']);
	
	$qIP2 = "INSERT INTO regs2 (id_inver, calificados, total, _real, apagar, fechap, status, impuestos, pagado) 
             VALUES ('".$fila ['id_inverT']."', '".$datos['totalCalificadasPrimerNivel']."', '$gen',
             '$obt', '$obt', curdate(), '0', '0', '$obt')";
             //aqui insertaba 0 en regalias y voucher cuando era nota de tipo 10
    $cIP2 = mysqli_query($conexion, $qIP2) or die ('Error (insert pagovta): ' . mysqli_error($conexion));	
		echo "<tr>
				<td>$iii</td>
				<td>" . $fila ['id_inverT'] . "</td>
				<td>" . $fila ['rfc'] . "</td>
				<td>" . $fila ['nombreInversionitas'] . "</td>
				<td>" . $fila ['compras'] . "</td>
				<td>" . $fila ['usuarios_ci_idusuarios_ci'] . "</td>
				<td>".$datos['totalCalificadasPrimerNivel']."</td>
				<td>".$gen."</td>
				<td>".$obt."</td>

<td><form name=\"busca2\" action=\"reportegeneracionalnvovip.php\" target=\"_blank\" method=\"post\">

			<input type=hidden name=fech1 value=$fecha1 />

			<input type=hidden name=fech2 value=$fecha2 />

			<input type=hidden name=elrfc value=" . $fila ['rfc'] . " />

			<input type=hidden name=elci value=" . $fila ['usuarios_ci_idusuarios_ci'] . " />

<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Reporte Nuevo\" /></form>
					
					
					
					
					
					
					
					</td></tr>";
		$iii ++;
	}
}

echo "</table><br>
	<br>Las compras totales realizadas entre $fecha1 y $fecha2 son <br><br>Sistema: $tot<br>
	Total de regalías generadas: ".number_format ($superTotalGenerado,2, '.', ',')."<br />
	Total de regalías obtenidas: ".number_format ($superTotalObtenido,2, '.', ',')."<br />
<br>";

?>